=== debian/changelog ===
netbiff (0.9.18-1) unstable; urgency=low

  * New upstream release.

 -- Jeff King <peff-netbiff@peff.net>  Mon,  7 Feb 2005 03:14:17 -0500
